path: /build/build/openjdk-jre-bin-dev-java-8-8.422.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-cups -selinux alsa headless-awt" emerge dev-java/openjdk-jre-bin:8 -pv -t && \
    USE="-cups -selinux alsa headless-awt" emerge -j ${JOBS} --nodeps dev-java/openjdk-jre-bin:8
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/openjdk-jre-bin && luet-portage --dir
    /pkgdir/openjdk-jre-bin dev-java/openjdk-jre-bin:8 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:816224946cee80846752228656e8e1a21769c1cc41450d1c72344a58b1c96be7
  package:
    name: openjdk-jre-bin
    version: "8.422"
    category: dev-java-8
    use_flags:
    - -cups
    - -selinux
    - alsa
    - headless-awt
    requires:
    - name: java-config
      version: '>=0'
      category: dev-java-2
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Prebuilt Java JRE binaries provided by Eclipse Temurin
    uri:
    - https://adoptium.net
    license: GPL-2-with-classpath-exception
    buildtimestamp: 2024-08-19 12:44:22.94641528 +0000 UTC m=+92.920203959
    labels:
      BDEPEND: app-arch/unzip
      DEPEND: dev-java/java-config app-eselect/eselect-java
      IUSE: alsa cups headless-awt selinux
      RDEPEND: media-libs/fontconfig:1.0 media-libs/freetype:2 >net-libs/libnet-1.1
        >=sys-apps/baselayout-java-0.1.0-r1 >=sys-libs/glibc-2.2.5:* sys-libs/zlib
        alsa? ( media-libs/alsa-lib ) cups? ( net-print/cups ) selinux? ( sec-policy/selinux-java
        ) !headless-awt? ( x11-libs/libX11 x11-libs/libXext x11-libs/libXi x11-libs/libXrender
        x11-libs/libXtst ) dev-java/java-config app-eselect/eselect-java
      emerge.packages: dev-java/openjdk-jre-bin:8
      kit: java-kit
      original.package.name: dev-java/openjdk-jre-bin
      original.package.slot: "8"
      original.package.version: 8.422_p05
    treedir: /build/packages
  package_dir: /pkgdir/openjdk-jre-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 65fcf99f55016a2537792099f936a2cec6c23d81cfc46a311aaca01dc293a54c
compressiontype: zstd
files:
- etc/revdep-rebuild/61-openjdk-jre-bin-8
- etc/sandbox.d/20openjdk-jre-bin-8
- opt/openjdk-jre-bin-8
- opt/openjdk-jre-bin-8.422_p05/NOTICE
- opt/openjdk-jre-bin-8.422_p05/bin/java
- opt/openjdk-jre-bin-8.422_p05/bin/jjs
- opt/openjdk-jre-bin-8.422_p05/bin/keytool
- opt/openjdk-jre-bin-8.422_p05/bin/orbd
- opt/openjdk-jre-bin-8.422_p05/bin/pack200
- opt/openjdk-jre-bin-8.422_p05/bin/rmid
- opt/openjdk-jre-bin-8.422_p05/bin/rmiregistry
- opt/openjdk-jre-bin-8.422_p05/bin/servertool
- opt/openjdk-jre-bin-8.422_p05/bin/tnameserv
- opt/openjdk-jre-bin-8.422_p05/bin/unpack200
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/jli/libjli.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/jvm.cfg
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libawt.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libawt_headless.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libdt_socket.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libfontmanager.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libhprof.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libinstrument.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libj2gss.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libj2pcsc.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libj2pkcs11.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjaas_unix.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjava.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjava_crw_demo.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjdwp.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjpeg.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjsdt.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjsig.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjsound.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libjsoundalsa.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/liblcms.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libmanagement.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libmlib_image.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libnet.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libnio.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libnpt.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libsctp.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libsunec.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libunpack.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libverify.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/libzip.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/server/Xusage.txt
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/server/libjsig.so
- opt/openjdk-jre-bin-8.422_p05/lib/amd64/server/libjvm.so
- opt/openjdk-jre-bin-8.422_p05/lib/calendars.properties
- opt/openjdk-jre-bin-8.422_p05/lib/charsets.jar
- opt/openjdk-jre-bin-8.422_p05/lib/classlist
- opt/openjdk-jre-bin-8.422_p05/lib/cmm/CIEXYZ.pf
- opt/openjdk-jre-bin-8.422_p05/lib/cmm/GRAY.pf
- opt/openjdk-jre-bin-8.422_p05/lib/cmm/LINEAR_RGB.pf
- opt/openjdk-jre-bin-8.422_p05/lib/cmm/PYCC.pf
- opt/openjdk-jre-bin-8.422_p05/lib/cmm/sRGB.pf
- opt/openjdk-jre-bin-8.422_p05/lib/content-types.properties
- opt/openjdk-jre-bin-8.422_p05/lib/currency.data
- opt/openjdk-jre-bin-8.422_p05/lib/ext/cldrdata.jar
- opt/openjdk-jre-bin-8.422_p05/lib/ext/dnsns.jar
- opt/openjdk-jre-bin-8.422_p05/lib/ext/jaccess.jar
- opt/openjdk-jre-bin-8.422_p05/lib/ext/localedata.jar
- opt/openjdk-jre-bin-8.422_p05/lib/ext/meta-index
- opt/openjdk-jre-bin-8.422_p05/lib/ext/nashorn.jar
- opt/openjdk-jre-bin-8.422_p05/lib/ext/sunec.jar
- opt/openjdk-jre-bin-8.422_p05/lib/ext/sunjce_provider.jar
- opt/openjdk-jre-bin-8.422_p05/lib/ext/sunpkcs11.jar
- opt/openjdk-jre-bin-8.422_p05/lib/ext/zipfs.jar
- opt/openjdk-jre-bin-8.422_p05/lib/flavormap.properties
- opt/openjdk-jre-bin-8.422_p05/lib/hijrah-config-umalqura.properties
- opt/openjdk-jre-bin-8.422_p05/lib/images/cursors/cursors.properties
- opt/openjdk-jre-bin-8.422_p05/lib/images/cursors/invalid32x32.gif
- opt/openjdk-jre-bin-8.422_p05/lib/images/cursors/motif_CopyDrop32x32.gif
- opt/openjdk-jre-bin-8.422_p05/lib/images/cursors/motif_CopyNoDrop32x32.gif
- opt/openjdk-jre-bin-8.422_p05/lib/images/cursors/motif_LinkDrop32x32.gif
- opt/openjdk-jre-bin-8.422_p05/lib/images/cursors/motif_LinkNoDrop32x32.gif
- opt/openjdk-jre-bin-8.422_p05/lib/images/cursors/motif_MoveDrop32x32.gif
- opt/openjdk-jre-bin-8.422_p05/lib/images/cursors/motif_MoveNoDrop32x32.gif
- opt/openjdk-jre-bin-8.422_p05/lib/jce.jar
- opt/openjdk-jre-bin-8.422_p05/lib/jexec
- opt/openjdk-jre-bin-8.422_p05/lib/jfr/default.jfc
- opt/openjdk-jre-bin-8.422_p05/lib/jfr/profile.jfc
- opt/openjdk-jre-bin-8.422_p05/lib/jfr.jar
- opt/openjdk-jre-bin-8.422_p05/lib/jsse.jar
- opt/openjdk-jre-bin-8.422_p05/lib/jvm.hprof.txt
- opt/openjdk-jre-bin-8.422_p05/lib/logging.properties
- opt/openjdk-jre-bin-8.422_p05/lib/management/jmxremote.access
- opt/openjdk-jre-bin-8.422_p05/lib/management/jmxremote.password.template
- opt/openjdk-jre-bin-8.422_p05/lib/management/management.properties
- opt/openjdk-jre-bin-8.422_p05/lib/management/snmp.acl.template
- opt/openjdk-jre-bin-8.422_p05/lib/management-agent.jar
- opt/openjdk-jre-bin-8.422_p05/lib/meta-index
- opt/openjdk-jre-bin-8.422_p05/lib/net.properties
- opt/openjdk-jre-bin-8.422_p05/lib/psfont.properties.ja
- opt/openjdk-jre-bin-8.422_p05/lib/psfontj2d.properties
- opt/openjdk-jre-bin-8.422_p05/lib/resources.jar
- opt/openjdk-jre-bin-8.422_p05/lib/rt.jar
- opt/openjdk-jre-bin-8.422_p05/lib/security/blacklisted.certs
- opt/openjdk-jre-bin-8.422_p05/lib/security/cacerts
- opt/openjdk-jre-bin-8.422_p05/lib/security/java.policy
- opt/openjdk-jre-bin-8.422_p05/lib/security/java.security
- opt/openjdk-jre-bin-8.422_p05/lib/security/policy/limited/US_export_policy.jar
- opt/openjdk-jre-bin-8.422_p05/lib/security/policy/limited/local_policy.jar
- opt/openjdk-jre-bin-8.422_p05/lib/security/policy/unlimited/US_export_policy.jar
- opt/openjdk-jre-bin-8.422_p05/lib/security/policy/unlimited/local_policy.jar
- opt/openjdk-jre-bin-8.422_p05/lib/sound.properties
- opt/openjdk-jre-bin-8.422_p05/lib/tzdb.dat
- opt/openjdk-jre-bin-8.422_p05/man/ja
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/java.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/jjs.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/keytool.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/orbd.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/pack200.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/policytool.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/rmid.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/rmiregistry.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/servertool.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/tnameserv.1
- opt/openjdk-jre-bin-8.422_p05/man/ja_JP.UTF-8/man1/unpack200.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/java.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/jjs.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/keytool.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/orbd.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/pack200.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/policytool.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/rmid.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/rmiregistry.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/servertool.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/tnameserv.1
- opt/openjdk-jre-bin-8.422_p05/man/man1/unpack200.1
- opt/openjdk-jre-bin-8.422_p05/release
- usr/lib/jvm/openjdk-jre-bin-8
- usr/share/java-config-2/vm/openjdk-jre-bin-8
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/BDEPEND
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/BUILD_TIME
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/CATEGORY
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/CBUILD
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/CFLAGS
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/CHOST
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/CONTENTS
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/COUNTER
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/CXXFLAGS
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/DEFINED_PHASES
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/DEPEND
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/DESCRIPTION
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/EAPI
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/FEATURES
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/HOMEPAGE
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/INHERITED
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/IUSE
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/IUSE_EFFECTIVE
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/KEYWORDS
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/LDFLAGS
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/LICENSE
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/NEEDED
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/PF
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/PROVIDES
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/RDEPEND
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/REQUIRES
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/RESTRICT
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/SIZE
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/SLOT
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/USE
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/environment.bz2
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/openjdk-jre-bin-8.422_p05.ebuild
- var/db/pkg/dev-java/openjdk-jre-bin-8.422_p05/repository
package_cacheimage: ""
runtime:
  name: openjdk-jre-bin
  version: "8.422"
  category: dev-java-8
  use_flags:
  - -cups
  - -selinux
  - alsa
  - headless-awt
  requires:
  - name: eselect-java
    version: '>=0'
    category: app-eselect
  - name: java-config
    version: '>=0'
    category: dev-java-2
  - name: alsa-lib
    version: '>=0'
    category: media-libs
  - name: fontconfig
    version: '>=0'
    category: media-libs-1.0
  - name: libnet
    version: '>=0'
    category: net-libs-1.1
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Prebuilt Java JRE binaries provided by Eclipse Temurin
  uri:
  - https://adoptium.net
  license: GPL-2-with-classpath-exception
  labels:
    BDEPEND: app-arch/unzip
    DEPEND: dev-java/java-config app-eselect/eselect-java
    IUSE: alsa cups headless-awt selinux
    RDEPEND: media-libs/fontconfig:1.0 media-libs/freetype:2 >net-libs/libnet-1.1
      >=sys-apps/baselayout-java-0.1.0-r1 >=sys-libs/glibc-2.2.5:* sys-libs/zlib alsa?
      ( media-libs/alsa-lib ) cups? ( net-print/cups ) selinux? ( sec-policy/selinux-java
      ) !headless-awt? ( x11-libs/libX11 x11-libs/libXext x11-libs/libXi x11-libs/libXrender
      x11-libs/libXtst ) dev-java/java-config app-eselect/eselect-java
    emerge.packages: dev-java/openjdk-jre-bin:8
    kit: java-kit
    original.package.name: dev-java/openjdk-jre-bin
    original.package.slot: "8"
    original.package.version: 8.422_p05
